> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://allianz.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://allianz.ferndocs.com/_mcp/server.

# Indicate a customer action has been taken

POST https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/decisions
Content-Type: application/json

Reference: https://allianz.ferndocs.com/api-reference/core/decisions/create

## Servers

- `https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI` (Staging, default)
- `https://gateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI` (Production)

## Request

### Body (application/json)

This endpoint expects a Decision.

- `bookingId` (string, optional) — Identifies the overall booking purchased for customer experience. For airline travel this is often referred to as the PNR.
- `businessUnit` (string, optional) — Country where products are eligible to be sold.
- `paymentCurrencyType` (string, optional, default: ) — Three digit ISO type of the currency that is/was used to purchase the product by the customer, same as currencyType if currency is the same as in optimization request
- `credentials` (Credentials, optional) — Partner Credentials
- `currencyType` (string, optional) — Three digit ISO type of the currency of the prices provided in the details (same as quoted currency)
- `cxid` (string, optional) — Customer Experience ID. Populated by JS where applicable (from Cookie or offerstate).
- `details` (list of decSchemas/properties/DecisionDetail, optional)
- `distributorCode` (string, optional) — The partner code assigned by Allianz. Populated by JS where applicable.
- `exchangeRate` (double, optional, default: 1) — exchange rate from base currency to view/payment currency
- `localTs` (datetime, optional) — Local timestamp. Populated by JS where applicable.
- `locationCode` (string, optional) — Code of the location on the partners's site where the decision was made.
- `partner` (optSchemas/properties/Partner, optional) — Partner Information
- `paymentTerms` (string, optional) — Depends on the product, not applicable for most of the travel products.
- `purchaseId` (string, optional) — An ID assigned by the fulfillment system that processed the purchase.
- `purchaseType` (string, optional) — Transaction type for the purchase sent from USPG, i.e. cancellation.
- `requestOriginPage` (string, optional) — The specific page that sent this request.
- `responseId` (string, optional) — The ID returned in the /optimizations response that identifies the last quote that was received.
- `responseReason` (string, optional) — deprecated - Reason for the specific type of response: not rendered, invalid, timeout, etc. Currently used by Widget partners.
- `responseType` (enum, optional) — This is the overall type of action for the decision (purchase, accept, cancellation, etc.).
  - Allowed values: `Purchased`, `Accepted`
- `sessionId` (string, optional) — Session Id that Allianz receives in the quote request. Allows Allianz to track duplicate requests within same visitor session. Supports identification of duplicates in analytical activities. If partner does not send this, the JS will populate it from the cookies.
- `transactionId` (string, optional) — Available for Partner to send a unique ID with their quote request which will flow through the entire transaction. Allianz will return it in their response and the partner can send it back with the purchase request. If partner does not send this, the JS will populate it from the cookies.
- `treatmentCode` (string, optional) — Allianz id for treatment (treatment needs to be defined for external usage - see response schema as well). Currently used for AWP.

## Response

### 200

Success

## Types

### Credentials

Partner Credentials

- `password` (string, optional) — Password set by Allianz for the Partner. Allianz will validate each request using Partner's ACCAM, User Id and Password.
- `userName` (string, optional) — The user name assigned to the partner by Allianz.

### decSchemas/properties/DecisionDetail

Details of customer decision

- `endDate` (datetime, optional) — Policy end date.
- `includedOptions` (list of decSchemas/properties/DecisionDetailOption, optional)
- `isIncluded` (boolean, optional) — Indicates if the product/option is included with another product or package.
- `paymentTerms` (string, optional) — Depends on the product, not applicable for most of the travel products.
- `prices` (list of decSchemas/properties/DecisionDetailPrice, optional)
- `productCode` (string, optional) — The unique code assigned to the product in the product system of record. Also used in the purchase to map offers with purchases.
- `purchasePrice` (double, optional) — The price for the product in currencyType.
- `pointsUsed` (double, optional) — The amount of loyalty points used by the customer
- `quantity` (integer, optional) — The number of products in the purchase.
- `referenceNumber` (string, optional) — Insurance policy number.
- `responseOfferId` (string, optional) — The unique Allianz-generated id for offer content in the response.
- `responseQuoteId` (string, optional) — The unique Allianz-generated id for the product content in the response.
- `responseType` (any, optional) — The type of response being sent for a given product.
- `selectionType` (string, optional) — Allows partner to send information about type of Selection. (e.g) Selected no, did not select anything
- `sequences` (list of decSchemas/properties/DecisionDetailSequence, optional)
- `startDate` (datetime, optional) — Policy start date.
- `supplierCode` (string, optional) — The supplier code assigned by Allianz.

### optSchemas/properties/Partner

Partner Information

- `distributorCode` (string, optional) — The partner code assigned by Allianz.
- `externalCode` (string, optional) — This is a code that the partner is assigned by other, external systems. This may be needed for reporting and fulfillment purposes and can be different from the partner code that is assigned by Allianz.
- `externalSubCode` (string, optional) — Placeholder if additional code is needed.

### decSchemas/properties/DecisionDetailOption

Decision details Options

- `name` (string, optional) — The name of the product option.
- `value` (string, optional) — The value of the product option.

### decSchemas/properties/DecisionDetailPrice

Price for Decision Details

- `stepName` (string, optional) — Indicates step that price is for.
- `value` (double, optional) — The value for this part of the price (in currencyType) for the product.

### decSchemas/properties/DecisionDetailSequence

Sequence of Detail

- `sequence` (integer, optional) — The number of the sequence.
- `sequenceType` (string, optional) — The name of the sequence. (i.e. 'Leg', 'Segment', or 'Customer')

## Examples

**Request**

```json
{
  "bookingId": "booking_20210422072443",
  "businessUnit": "US",
  "paymentCurrencyType": "USD",
  "credentials": {
    "password": "cap_t_1",
    "userName": "cap_t_1"
  },
  "currencyType": "USD",
  "cxid": "20210422072443",
  "details": [
    {
      "endDate": "2020-06-28T11:46:37",
      "includedOptions": [
        {
          "name": "optionsName",
          "value": "12"
        }
      ],
      "isIncluded": true,
      "paymentTerms": "now",
      "prices": [
        {
          "stepName": "Cost",
          "value": 5523
        }
      ],
      "productCode": "0",
      "purchasePrice": 0,
      "pointsUsed": 12,
      "quantity": 1,
      "referenceNumber": "referenceNumber",
      "responseOfferId": "0",
      "responseQuoteId": "0",
      "responseType": "Purchased",
      "sequences": [
        {
          "sequence": 12,
          "sequenceType": "Customer"
        }
      ],
      "startDate": "2020-06-26T11:46:37",
      "supplierCode": "1212",
      "DecisionDetailPrice": [
        {
          "stepName": "testStepName",
          "value": "12"
        }
      ],
      "options": [
        {
          "name": "Group",
          "value": "Preferred"
        }
      ]
    }
  ],
  "distributorCode": "STHB",
  "exchangeRate": 12,
  "localTs": "2019-09-12T11:21:10.9869-04:00",
  "locationCode": "LOCN_1234",
  "partner": {
    "distributorCode": "cap_t_1",
    "externalCode": "123",
    "externalSubCode": "321"
  },
  "paymentTerms": "now",
  "purchaseId": "272816377",
  "purchaseType": "credit",
  "requestOriginPage": "4",
  "responseId": "3033411341022126194",
  "responseType": "Purchased",
  "sessionId": "persist_auto_test_20210422072443",
  "transactionId": "OLTPOnlyTransaction",
  "treatmentCode": "0",
  "memberId": "123",
  "referenceNumber": "ref20210422072443"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/decisions"

payload = {
    "bookingId": "booking_20210422072443",
    "businessUnit": "US",
    "paymentCurrencyType": "USD",
    "credentials": {
        "password": "cap_t_1",
        "userName": "cap_t_1"
    },
    "currencyType": "USD",
    "cxid": "20210422072443",
    "details": [
        {
            "endDate": "2020-06-28T11:46:37",
            "includedOptions": [
                {
                    "name": "optionsName",
                    "value": "12"
                }
            ],
            "isIncluded": True,
            "paymentTerms": "now",
            "prices": [
                {
                    "stepName": "Cost",
                    "value": 5523
                }
            ],
            "productCode": "0",
            "purchasePrice": 0,
            "pointsUsed": 12,
            "quantity": 1,
            "referenceNumber": "referenceNumber",
            "responseOfferId": "0",
            "responseQuoteId": "0",
            "responseType": "Purchased",
            "sequences": [
                {
                    "sequence": 12,
                    "sequenceType": "Customer"
                }
            ],
            "startDate": "2020-06-26T11:46:37",
            "supplierCode": "1212",
            "DecisionDetailPrice": [
                {
                    "stepName": "testStepName",
                    "value": "12"
                }
            ],
            "options": [
                {
                    "name": "Group",
                    "value": "Preferred"
                }
            ]
        }
    ],
    "distributorCode": "STHB",
    "exchangeRate": 12,
    "localTs": "2019-09-12T11:21:10.9869-04:00",
    "locationCode": "LOCN_1234",
    "partner": {
        "distributorCode": "cap_t_1",
        "externalCode": "123",
        "externalSubCode": "321"
    },
    "paymentTerms": "now",
    "purchaseId": "272816377",
    "purchaseType": "credit",
    "requestOriginPage": "4",
    "responseId": "3033411341022126194",
    "responseType": "Purchased",
    "sessionId": "persist_auto_test_20210422072443",
    "transactionId": "OLTPOnlyTransaction",
    "treatmentCode": "0",
    "memberId": "123",
    "referenceNumber": "ref20210422072443"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/decisions';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"bookingId":"booking_20210422072443","businessUnit":"US","paymentCurrencyType":"USD","credentials":{"password":"cap_t_1","userName":"cap_t_1"},"currencyType":"USD","cxid":"20210422072443","details":[{"endDate":"2020-06-28T11:46:37","includedOptions":[{"name":"optionsName","value":"12"}],"isIncluded":true,"paymentTerms":"now","prices":[{"stepName":"Cost","value":5523}],"productCode":"0","purchasePrice":0,"pointsUsed":12,"quantity":1,"referenceNumber":"referenceNumber","responseOfferId":"0","responseQuoteId":"0","responseType":"Purchased","sequences":[{"sequence":12,"sequenceType":"Customer"}],"startDate":"2020-06-26T11:46:37","supplierCode":"1212","DecisionDetailPrice":[{"stepName":"testStepName","value":"12"}],"options":[{"name":"Group","value":"Preferred"}]}],"distributorCode":"STHB","exchangeRate":12,"localTs":"2019-09-12T11:21:10.9869-04:00","locationCode":"LOCN_1234","partner":{"distributorCode":"cap_t_1","externalCode":"123","externalSubCode":"321"},"paymentTerms":"now","purchaseId":"272816377","purchaseType":"credit","requestOriginPage":"4","responseId":"3033411341022126194","responseType":"Purchased","sessionId":"persist_auto_test_20210422072443","transactionId":"OLTPOnlyTransaction","treatmentCode":"0","memberId":"123","referenceNumber":"ref20210422072443"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/decisions"

	payload := strings.NewReader("{\n  \"bookingId\": \"booking_20210422072443\",\n  \"businessUnit\": \"US\",\n  \"paymentCurrencyType\": \"USD\",\n  \"credentials\": {\n    \"password\": \"cap_t_1\",\n    \"userName\": \"cap_t_1\"\n  },\n  \"currencyType\": \"USD\",\n  \"cxid\": \"20210422072443\",\n  \"details\": [\n    {\n      \"endDate\": \"2020-06-28T11:46:37\",\n      \"includedOptions\": [\n        {\n          \"name\": \"optionsName\",\n          \"value\": \"12\"\n        }\n      ],\n      \"isIncluded\": true,\n      \"paymentTerms\": \"now\",\n      \"prices\": [\n        {\n          \"stepName\": \"Cost\",\n          \"value\": 5523\n        }\n      ],\n      \"productCode\": \"0\",\n      \"purchasePrice\": 0,\n      \"pointsUsed\": 12,\n      \"quantity\": 1,\n      \"referenceNumber\": \"referenceNumber\",\n      \"responseOfferId\": \"0\",\n      \"responseQuoteId\": \"0\",\n      \"responseType\": \"Purchased\",\n      \"sequences\": [\n        {\n          \"sequence\": 12,\n          \"sequenceType\": \"Customer\"\n        }\n      ],\n      \"startDate\": \"2020-06-26T11:46:37\",\n      \"supplierCode\": \"1212\",\n      \"DecisionDetailPrice\": [\n        {\n          \"stepName\": \"testStepName\",\n          \"value\": \"12\"\n        }\n      ],\n      \"options\": [\n        {\n          \"name\": \"Group\",\n          \"value\": \"Preferred\"\n        }\n      ]\n    }\n  ],\n  \"distributorCode\": \"STHB\",\n  \"exchangeRate\": 12,\n  \"localTs\": \"2019-09-12T11:21:10.9869-04:00\",\n  \"locationCode\": \"LOCN_1234\",\n  \"partner\": {\n    \"distributorCode\": \"cap_t_1\",\n    \"externalCode\": \"123\",\n    \"externalSubCode\": \"321\"\n  },\n  \"paymentTerms\": \"now\",\n  \"purchaseId\": \"272816377\",\n  \"purchaseType\": \"credit\",\n  \"requestOriginPage\": \"4\",\n  \"responseId\": \"3033411341022126194\",\n  \"responseType\": \"Purchased\",\n  \"sessionId\": \"persist_auto_test_20210422072443\",\n  \"transactionId\": \"OLTPOnlyTransaction\",\n  \"treatmentCode\": \"0\",\n  \"memberId\": \"123\",\n  \"referenceNumber\": \"ref20210422072443\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/decisions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"bookingId\": \"booking_20210422072443\",\n  \"businessUnit\": \"US\",\n  \"paymentCurrencyType\": \"USD\",\n  \"credentials\": {\n    \"password\": \"cap_t_1\",\n    \"userName\": \"cap_t_1\"\n  },\n  \"currencyType\": \"USD\",\n  \"cxid\": \"20210422072443\",\n  \"details\": [\n    {\n      \"endDate\": \"2020-06-28T11:46:37\",\n      \"includedOptions\": [\n        {\n          \"name\": \"optionsName\",\n          \"value\": \"12\"\n        }\n      ],\n      \"isIncluded\": true,\n      \"paymentTerms\": \"now\",\n      \"prices\": [\n        {\n          \"stepName\": \"Cost\",\n          \"value\": 5523\n        }\n      ],\n      \"productCode\": \"0\",\n      \"purchasePrice\": 0,\n      \"pointsUsed\": 12,\n      \"quantity\": 1,\n      \"referenceNumber\": \"referenceNumber\",\n      \"responseOfferId\": \"0\",\n      \"responseQuoteId\": \"0\",\n      \"responseType\": \"Purchased\",\n      \"sequences\": [\n        {\n          \"sequence\": 12,\n          \"sequenceType\": \"Customer\"\n        }\n      ],\n      \"startDate\": \"2020-06-26T11:46:37\",\n      \"supplierCode\": \"1212\",\n      \"DecisionDetailPrice\": [\n        {\n          \"stepName\": \"testStepName\",\n          \"value\": \"12\"\n        }\n      ],\n      \"options\": [\n        {\n          \"name\": \"Group\",\n          \"value\": \"Preferred\"\n        }\n      ]\n    }\n  ],\n  \"distributorCode\": \"STHB\",\n  \"exchangeRate\": 12,\n  \"localTs\": \"2019-09-12T11:21:10.9869-04:00\",\n  \"locationCode\": \"LOCN_1234\",\n  \"partner\": {\n    \"distributorCode\": \"cap_t_1\",\n    \"externalCode\": \"123\",\n    \"externalSubCode\": \"321\"\n  },\n  \"paymentTerms\": \"now\",\n  \"purchaseId\": \"272816377\",\n  \"purchaseType\": \"credit\",\n  \"requestOriginPage\": \"4\",\n  \"responseId\": \"3033411341022126194\",\n  \"responseType\": \"Purchased\",\n  \"sessionId\": \"persist_auto_test_20210422072443\",\n  \"transactionId\": \"OLTPOnlyTransaction\",\n  \"treatmentCode\": \"0\",\n  \"memberId\": \"123\",\n  \"referenceNumber\": \"ref20210422072443\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/decisions")
  .header("Content-Type", "application/json")
  .body("{\n  \"bookingId\": \"booking_20210422072443\",\n  \"businessUnit\": \"US\",\n  \"paymentCurrencyType\": \"USD\",\n  \"credentials\": {\n    \"password\": \"cap_t_1\",\n    \"userName\": \"cap_t_1\"\n  },\n  \"currencyType\": \"USD\",\n  \"cxid\": \"20210422072443\",\n  \"details\": [\n    {\n      \"endDate\": \"2020-06-28T11:46:37\",\n      \"includedOptions\": [\n        {\n          \"name\": \"optionsName\",\n          \"value\": \"12\"\n        }\n      ],\n      \"isIncluded\": true,\n      \"paymentTerms\": \"now\",\n      \"prices\": [\n        {\n          \"stepName\": \"Cost\",\n          \"value\": 5523\n        }\n      ],\n      \"productCode\": \"0\",\n      \"purchasePrice\": 0,\n      \"pointsUsed\": 12,\n      \"quantity\": 1,\n      \"referenceNumber\": \"referenceNumber\",\n      \"responseOfferId\": \"0\",\n      \"responseQuoteId\": \"0\",\n      \"responseType\": \"Purchased\",\n      \"sequences\": [\n        {\n          \"sequence\": 12,\n          \"sequenceType\": \"Customer\"\n        }\n      ],\n      \"startDate\": \"2020-06-26T11:46:37\",\n      \"supplierCode\": \"1212\",\n      \"DecisionDetailPrice\": [\n        {\n          \"stepName\": \"testStepName\",\n          \"value\": \"12\"\n        }\n      ],\n      \"options\": [\n        {\n          \"name\": \"Group\",\n          \"value\": \"Preferred\"\n        }\n      ]\n    }\n  ],\n  \"distributorCode\": \"STHB\",\n  \"exchangeRate\": 12,\n  \"localTs\": \"2019-09-12T11:21:10.9869-04:00\",\n  \"locationCode\": \"LOCN_1234\",\n  \"partner\": {\n    \"distributorCode\": \"cap_t_1\",\n    \"externalCode\": \"123\",\n    \"externalSubCode\": \"321\"\n  },\n  \"paymentTerms\": \"now\",\n  \"purchaseId\": \"272816377\",\n  \"purchaseType\": \"credit\",\n  \"requestOriginPage\": \"4\",\n  \"responseId\": \"3033411341022126194\",\n  \"responseType\": \"Purchased\",\n  \"sessionId\": \"persist_auto_test_20210422072443\",\n  \"transactionId\": \"OLTPOnlyTransaction\",\n  \"treatmentCode\": \"0\",\n  \"memberId\": \"123\",\n  \"referenceNumber\": \"ref20210422072443\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/decisions', [
  'body' => '{
  "bookingId": "booking_20210422072443",
  "businessUnit": "US",
  "paymentCurrencyType": "USD",
  "credentials": {
    "password": "cap_t_1",
    "userName": "cap_t_1"
  },
  "currencyType": "USD",
  "cxid": "20210422072443",
  "details": [
    {
      "endDate": "2020-06-28T11:46:37",
      "includedOptions": [
        {
          "name": "optionsName",
          "value": "12"
        }
      ],
      "isIncluded": true,
      "paymentTerms": "now",
      "prices": [
        {
          "stepName": "Cost",
          "value": 5523
        }
      ],
      "productCode": "0",
      "purchasePrice": 0,
      "pointsUsed": 12,
      "quantity": 1,
      "referenceNumber": "referenceNumber",
      "responseOfferId": "0",
      "responseQuoteId": "0",
      "responseType": "Purchased",
      "sequences": [
        {
          "sequence": 12,
          "sequenceType": "Customer"
        }
      ],
      "startDate": "2020-06-26T11:46:37",
      "supplierCode": "1212",
      "DecisionDetailPrice": [
        {
          "stepName": "testStepName",
          "value": "12"
        }
      ],
      "options": [
        {
          "name": "Group",
          "value": "Preferred"
        }
      ]
    }
  ],
  "distributorCode": "STHB",
  "exchangeRate": 12,
  "localTs": "2019-09-12T11:21:10.9869-04:00",
  "locationCode": "LOCN_1234",
  "partner": {
    "distributorCode": "cap_t_1",
    "externalCode": "123",
    "externalSubCode": "321"
  },
  "paymentTerms": "now",
  "purchaseId": "272816377",
  "purchaseType": "credit",
  "requestOriginPage": "4",
  "responseId": "3033411341022126194",
  "responseType": "Purchased",
  "sessionId": "persist_auto_test_20210422072443",
  "transactionId": "OLTPOnlyTransaction",
  "treatmentCode": "0",
  "memberId": "123",
  "referenceNumber": "ref20210422072443"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/decisions");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"bookingId\": \"booking_20210422072443\",\n  \"businessUnit\": \"US\",\n  \"paymentCurrencyType\": \"USD\",\n  \"credentials\": {\n    \"password\": \"cap_t_1\",\n    \"userName\": \"cap_t_1\"\n  },\n  \"currencyType\": \"USD\",\n  \"cxid\": \"20210422072443\",\n  \"details\": [\n    {\n      \"endDate\": \"2020-06-28T11:46:37\",\n      \"includedOptions\": [\n        {\n          \"name\": \"optionsName\",\n          \"value\": \"12\"\n        }\n      ],\n      \"isIncluded\": true,\n      \"paymentTerms\": \"now\",\n      \"prices\": [\n        {\n          \"stepName\": \"Cost\",\n          \"value\": 5523\n        }\n      ],\n      \"productCode\": \"0\",\n      \"purchasePrice\": 0,\n      \"pointsUsed\": 12,\n      \"quantity\": 1,\n      \"referenceNumber\": \"referenceNumber\",\n      \"responseOfferId\": \"0\",\n      \"responseQuoteId\": \"0\",\n      \"responseType\": \"Purchased\",\n      \"sequences\": [\n        {\n          \"sequence\": 12,\n          \"sequenceType\": \"Customer\"\n        }\n      ],\n      \"startDate\": \"2020-06-26T11:46:37\",\n      \"supplierCode\": \"1212\",\n      \"DecisionDetailPrice\": [\n        {\n          \"stepName\": \"testStepName\",\n          \"value\": \"12\"\n        }\n      ],\n      \"options\": [\n        {\n          \"name\": \"Group\",\n          \"value\": \"Preferred\"\n        }\n      ]\n    }\n  ],\n  \"distributorCode\": \"STHB\",\n  \"exchangeRate\": 12,\n  \"localTs\": \"2019-09-12T11:21:10.9869-04:00\",\n  \"locationCode\": \"LOCN_1234\",\n  \"partner\": {\n    \"distributorCode\": \"cap_t_1\",\n    \"externalCode\": \"123\",\n    \"externalSubCode\": \"321\"\n  },\n  \"paymentTerms\": \"now\",\n  \"purchaseId\": \"272816377\",\n  \"purchaseType\": \"credit\",\n  \"requestOriginPage\": \"4\",\n  \"responseId\": \"3033411341022126194\",\n  \"responseType\": \"Purchased\",\n  \"sessionId\": \"persist_auto_test_20210422072443\",\n  \"transactionId\": \"OLTPOnlyTransaction\",\n  \"treatmentCode\": \"0\",\n  \"memberId\": \"123\",\n  \"referenceNumber\": \"ref20210422072443\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "bookingId": "booking_20210422072443",
  "businessUnit": "US",
  "paymentCurrencyType": "USD",
  "credentials": [
    "password": "cap_t_1",
    "userName": "cap_t_1"
  ],
  "currencyType": "USD",
  "cxid": "20210422072443",
  "details": [
    [
      "endDate": "2020-06-28T11:46:37",
      "includedOptions": [
        [
          "name": "optionsName",
          "value": "12"
        ]
      ],
      "isIncluded": true,
      "paymentTerms": "now",
      "prices": [
        [
          "stepName": "Cost",
          "value": 5523
        ]
      ],
      "productCode": "0",
      "purchasePrice": 0,
      "pointsUsed": 12,
      "quantity": 1,
      "referenceNumber": "referenceNumber",
      "responseOfferId": "0",
      "responseQuoteId": "0",
      "responseType": "Purchased",
      "sequences": [
        [
          "sequence": 12,
          "sequenceType": "Customer"
        ]
      ],
      "startDate": "2020-06-26T11:46:37",
      "supplierCode": "1212",
      "DecisionDetailPrice": [
        [
          "stepName": "testStepName",
          "value": "12"
        ]
      ],
      "options": [
        [
          "name": "Group",
          "value": "Preferred"
        ]
      ]
    ]
  ],
  "distributorCode": "STHB",
  "exchangeRate": 12,
  "localTs": "2019-09-12T11:21:10.9869-04:00",
  "locationCode": "LOCN_1234",
  "partner": [
    "distributorCode": "cap_t_1",
    "externalCode": "123",
    "externalSubCode": "321"
  ],
  "paymentTerms": "now",
  "purchaseId": "272816377",
  "purchaseType": "credit",
  "requestOriginPage": "4",
  "responseId": "3033411341022126194",
  "responseType": "Purchased",
  "sessionId": "persist_auto_test_20210422072443",
  "transactionId": "OLTPOnlyTransaction",
  "treatmentCode": "0",
  "memberId": "123",
  "referenceNumber": "ref20210422072443"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/decisions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```